<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include "../seguranca_aux_unid.php" ;
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $id = ($id);
    $unidade = isset($_POST["unidade"]) ? $_POST["unidade"]: '';
    $setor = isset($_POST["setor"]) ? $_POST["setor"]: '';
    $funcao = isset($_POST["funcao"]) ? $_POST["funcao"]: '';
    $p_nome = isset($_POST["p_nome"]) ? $_POST['p_nome']: '';
    $u_nome = isset($_POST["u_nome"]) ? $_POST['u_nome']: '';
    $nome_c = isset($_POST["nome_c"]) ? $_POST['nome_c']: '';
    $email_1 = isset($_POST["email_1"]) ? $_POST['email_1']: '';
    $email_2 = isset($_POST["email_2"]) ? $_POST['email_2']: '';
    $tel_d = isset($_POST["tel_d"]) ? $_POST['tel_d']: '';
    $tel_1 = isset($_POST["tel_1"]) ? $_POST['tel_1']: '';
    $tel_2 = isset($_POST["tel_2"]) ? $_POST['tel_2']: '';
    $cel_d = isset($_POST["cel_d"]) ? $_POST['cel_d']: '';
    $cel_1 = isset($_POST["cel_1"]) ? $_POST['cel_1']: '';
    $cel_2 = isset($_POST["cel_2"]) ? $_POST['cel_2']: '';
    $cont = (isset($_POST['cont'])) ? 1 : 0;
    $ativo = (isset($_POST['ativo'])) ? 1 : 0;
    $busca_nome=$pdo_sgt->prepare("SELECT * FROM tb_funcionarios WHERE u_nome=:u_nome AND ativo=:ativo AND id<>:id");
    $busca_nome->bindValue(":u_nome",$u_nome);
    $busca_nome->bindValue(":p_nome",$p_nome);
    $busca_nome->bindValue(":ativo","1");
    $busca_nome->bindValue(":id",$id);
    $busca_nome->execute();
    $dados_nome=$busca_nome->fetch(PDO::FETCH_ASSOC);
    $row_nome = $busca_nome->rowCount();
    if($row_pp != 0){
        echo"<script language='javascript' type='text/javascript'>
            alert('Este nome: ".$p_nome." com o sobrenome: ".$u_nome." já existe!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }
    else{
        $query_ = "UPDATE tb_funcionarios
            SET unidade=:unidade,setor=:setor,funcao=:funcao,p_nome=:p_nome,u_nome=:u_nome,nome_c=:nome_c,email_1=:email_1,email_2=:email_2,tel_d=:tel_d,tel_p=:tel_1,tel_u=:tel_2,cel_d=:cel_d,cel_p=:cel_1,cel_u=:cel_2,cont=:cont,ativo=:ativo
            WHERE id=:id";
        $atualizar=$pdo_sgt->prepare("$query_");
        $atualizar->bindValue(":unidade",$unidade);
        $atualizar->bindValue(":setor",$setor);
        $atualizar->bindValue(":funcao",$funcao);
        $atualizar->bindValue(":p_nome",$p_nome);
        $atualizar->bindValue(":u_nome",$u_nome);
        $atualizar->bindValue(":nome_c",$nome_c);
        $atualizar->bindValue(":email_1",$email_1);
        $atualizar->bindValue(":email_2",$email_2);
        $atualizar->bindValue(":tel_d",$tel_d);
        $atualizar->bindValue(":tel_1",$tel_1);
        $atualizar->bindValue(":tel_2",$tel_2);
        $atualizar->bindValue(":cel_d",$cel_d);
        $atualizar->bindValue(":cel_1",$cel_1);
        $atualizar->bindValue(":cel_2",$cel_2);
        $atualizar->bindValue(":cont",$cont);
        $atualizar->bindValue(":ativo",$ativo);
        $atualizar->bindValue(":id",$id);
        $atualizar->execute();
        $mensagem = "Dados alterados na tabela: tb_funcionarios - "
            . "Para os campos: unidade, setor, funcao, p_nome, u_nome, nome_c, email_1, email_2, tel_d, tel_p, tel_u, cel_d, cel_p, cel_u, cont, ativo - "
            . "Com os seguintes valores: $unidade, $setor, $funcao, $p_nome, $u_nome, $nome_c, $email_1, $email_2, $tel_d, $tel_1, $tel_2, $cel_d, $cel_1, $cel_2, $cont, $ativo.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.location.href='list_func.php';
        </script>";
    }
?>